<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.ozs</groupId>
    <artifactId>GeoHazardMonitor</artifactId>
    <packaging>pom</packaging>
    <version>1.0</version>

    <name>hazard</name>
    <url></url>
    <description>地质灾害系统</description>
    <properties>
        <base.version>3.8.5</base.version>
        <hazard.version>1.0</hazard.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
    </properties>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>

            <!-- SpringBoot的依赖配置-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>2.5.14</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- 通用工具-->
            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>base-common</artifactId>
                <version>${base.version}</version>
            </dependency>

            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>base-framework</artifactId>
                <version>${base.version}</version>
            </dependency>

            <!-- 定时任务-->
            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>base-quartz</artifactId>
                <version>${base.version}</version>
            </dependency>

            <!-- 代码生成-->
            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>base-generator</artifactId>
                <version>${base.version}</version>
            </dependency>

            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>business-service</artifactId>
                <version>${hazard.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

    <modules>
        <module>hazard-admin</module>
        <module>business-service</module>
        <module>hazard-sdk</module>
    </modules>


    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <repositories>
        <repository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>
</project>
